### OpenLiteSpeed Web Server Users' Manual

##### Version 1.5 — Rev. 9

- License
- Introduction
- Installation
- Administration
  - Service Manager
- Security
- Configuration
  - Server General
  - Server Log
  - Server Tuning
  - Server Security
  - External Apps
  - Fast CGI App
  - Fast CGI Authorizer
  - LSAPI App
  - Servlet Engine
  - Web Server
  - Piped logger
  - Load Balancer
  - Script Handler
  - App Server Settings
  - Module Configuration
  - Listener General
  - Listener SSL
  - Virtual Host Templates
  - Virtual Host Basic
  - Virtual Host General
  - Virtual Host Security
  - Virtual Host SSL
  - Rewrite
  - Context
  - Static Context
  - Java Web App Context
  - Servlet Context
  - Fast CGI Context
  - LSAPI Context
  - Proxy Context
  - CGI Context
  - Load Balancer Context
  - Redirect Context
  - App Server Context
  - Module Handler Context
  - Web Socket Proxy
- Web Console
  - Admin Console General
  - Admin Console Security
  - Admin Listener General
  - Admin Listener SSL

# Servlet Engine

## Table of Contents

### Name⇑

#### Description

A unique name for this external application. You will refer to it by this name when you use it in other parts of the configuration.

### Address⇑

#### Description

A unique socket address used by the external application. IPv4/IPv6 sockets and Unix Domain Sockets (UDS) are supported. IPv4/IPv6 sockets can be used for communication over the network. UDS can only be used when the external application resides on the same machine as the server.

#### Syntax

IPv4 or IPV6 address:port or UDS://path

#### Example

127.0.0.1:5434
UDS://tmp/lshttpd/php.sock.

#### Tips

If the external application runs on the same machine, UDS is preferred. If you have to use an IPv4|IPV6 socket, set the IP address to localhost or 127.0.0.1, so the external application is inaccessible from other machines.
Unix Domain Sockets generally provide higher performance than IPv4 sockets.

### Max Connections⇑

#### Description

Specifies the maximum number of concurrent connections that can be established between the server and an external application. This setting controls how many requests can be processed concurrently by an external application, however, the real limit also depends on the external application itself. Setting this value higher will not help if the external application is not fast enough or cannot scale to a large number of concurrent requests.

#### Syntax

无符号整数

#### Tips

Setting a high value does not directly translate to higher performance. Setting the limit to a value that will not overload the external application will provide the best performance/throughput.

### Connection Keepalive Timeout⇑

#### Description

Specifies the maximum time in seconds to keep an idle persistent connection open.
When set to "-1", the connection will never timeout. When set to 0 or greater, the connection will be closed after this time in seconds has passed.

#### Syntax

int

### Environment⇑

#### Description

Specifies extra environment variables for the external application.

#### Syntax

Key=value. Multiple variables can be separated by "ENTER"

### Initial Request Timeout (secs)⇑

#### Description

Specifies the maximum time in seconds the server will wait for the external application to respond to the first request over a new established connection. If the server does not receive any data from the external application within this timeout limit, it will mark this connection as bad. This helps to identify communication problems with external applications as quickly as possible. If some requests take longer to process, increase this limit to avoid 503 error messages.

#### Syntax

无符号整数

### Retry Timeout (secs)⇑

#### Description

Specifies the period of time that the server waits before retrying an external application that had a prior communication problem.

#### Syntax

无符号整数

### Response Buffering⇑

#### Description

Specifies whether to buffer responses received from external applications. If a "nph-" (Non-Parsed-Header) script is detected, buffering is turned off for responses with full HTTP headers.

#### Syntax

Select from drop down list